import logging
import ConfigParser
import data
import pygame
import gameloop

def main(debug, start_depth):
  config = ConfigParser.ConfigParser()
  config.read((data.filepath('config.ini'),))
  logging.basicConfig(level = logging.DEBUG if debug else logging.INFO, \
      format='%(message)s')
  title = config.get('game', 'title')
  logging.info(title + '!!111')
  pygame.init()
  pygame.font.init()
  pygame.display.set_caption(title)
  width = config.getint('game', 'width')
  height = config.getint('game', 'height')
  surface = pygame.display.set_mode((width, height))
  try:
    gameloop.Controller(config, surface, debug, start_depth).loop()
  except gameloop.GameQuit:
    logging.info('Goodbye!')

